/****************************************************************************
**
** Copyright (C) Datafox GmbH.
** All rights reserved.
** Contact: Datafox GmbH (develop@datafox.de)
**
** This file is part of the DFComDLL module of the Datafox SDK.
**
****************************************************************************/
#include "datafox/communication/protocol.h"

// ##################################################################
/**
* @brief Initialisieren der Membervariablen.
*
* @param connection_id Nummer der Kanalklasse fuer z.B. Trace.
* @param device_address Busnummer der Kanalklasse.
*/
Datafox::Communication::Protocol::Protocol( int connection_id, uint8_t device_address )
    : Protocol_crypt( connection_id, device_address ) 
{
}

// ##################################################################
/**
* @brief Destruktor.
*
*/
Datafox::Communication::Protocol::~Protocol() 
{
}
